be.ehealth.technicalconnector.service.sts.security.impl

## Class AbstractSAML20Token

- java.lang.Object
- - be.ehealth.technicalconnector.service.sts.security.impl.AbstractExtendedCredential
  - - be.ehealth.technicalconnector.service.sts.security.impl.AbstractSAMLToken
    - - be.ehealth.technicalconnector.service.sts.security.impl.AbstractSAML20Token

- All Implemented Interfaces:
    Credential, ExtendedCredential, SAML20Token, SAMLToken
  Direct Known Subclasses:
    SAML20HolderOfKeyToken, SAML20SenderVouchesToken

      public abstract class AbstractSAML20Token
      extends AbstractSAMLToken
      implements SAML20Token

  Abstract class

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface be.ehealth.technicalconnector.service.sts.security.SAMLToken

      `SAMLToken.Version`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `XMLNS_ASSERTION`

    - ### Fields inherited from interface be.ehealth.technicalconnector.service.sts.security.SAML20Token

      `HOK_METHOD, NAMEID_UNSPECIFIED, NAMEID_X509SUBJECTNAME, SV_METHOD, XMLNS_SAML`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSAML20Token(Element assertion, Credential credential)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAssertionID()`
    `Map<String,List<String>>` | `getAttributes()`
    `org.joda.time.DateTime` | `getNotOnOrAfterCondition()`
    `SAMLToken.Version` | `getSamlVersion()`

    - ### Methods inherited from class be.ehealth.technicalconnector.service.sts.security.impl.AbstractSAMLToken

      `checkValidity, getAssertion, getCertificate, getCertificateChain, getCredential, getIssuer, getIssuerQualifier, getKeyStore, getPrivateKey, getProviderName, getPublicKey`

    - ### Methods inherited from class be.ehealth.technicalconnector.service.sts.security.impl.AbstractExtendedCredential

      `getCertPath, getExpirationDateTime`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface be.ehealth.technicalconnector.service.sts.security.SAMLToken

      `checkValidity, getAssertion, getCredential`

    - ### Methods inherited from interface be.ehealth.technicalconnector.service.sts.security.ExtendedCredential

      `getCertPath, getExpirationDateTime`

    - ### Methods inherited from interface be.ehealth.technicalconnector.service.sts.security.Credential

      `getCertificate, getCertificateChain, getIssuer, getIssuerQualifier, getKeyStore, getPrivateKey, getProviderName, getPublicKey`

- - ### Field Detail

    - #### XMLNS_ASSERTION

          public static final String XMLNS_ASSERTION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractSAML20Token

          public AbstractSAML20Token(Element assertion,
                                     Credential credential)

  - ### Method Detail

    - #### getAssertionID

          public String getAssertionID()

      Specified by:
        `getAssertionID` in interface `SAMLToken`

    - #### getNotOnOrAfterCondition

          public org.joda.time.DateTime getNotOnOrAfterCondition()

      Specified by:
        `getNotOnOrAfterCondition` in interface `SAMLToken`

    - #### getAttributes

          public Map<String,List<String>> getAttributes()

      Specified by:
        `getAttributes` in interface `SAMLToken`

    - #### getSamlVersion

          public SAMLToken.Version getSamlVersion()

      Specified by:
        `getSamlVersion` in interface `SAMLToken`

Connector Packaging OTMOBILITYIMPROVEMENT 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.